#downloadView {
  margin: 0;
  border-bottom: 1px solid #8E8E8E;
  padding: 0;
}

/* Download View Items */
richlistitem[type="download"] {
  padding: 4px 8px 4px 4px;
  min-height: 46px !important;
}

richlistitem[type="download"] .name {
  font-size: larger;
}

richlistitem[type="download"] button {
  -moz-appearance: none;
  min-height: 16px;
  min-width: 16px;
  max-height: 16px;
  max-width: 16px;
  padding: 0;
  margin: 0 1px 0 1px;
}

#information {
  -moz-appearance: none;
  background-color: white;
  width: 300px;
  max-width: 300px;
}

#information > button {
  -moz-appearance: none;
  margin: 0;
  padding: 0;
  width: 300px;
}

#information > button .button-text {
  -moz-box-flex: 1;
  text-align: left;
}

/**
 * Images for buttons in the interface
 */
richlistitem[type="download"] button,
#information-uri,
#information-location {
  list-style-image: url(chrome://mozapps/skin/downloads/buttons.png);
}
.cancel {
  -moz-image-region: rect(0px, 32px, 16px, 16px);
}
.info {
  -moz-image-region: rect(0px, 16px, 16px, 0px);
}
.open {
  -moz-image-region: rect(16px, 32px, 32px, 16px);
}
.pause {
  -moz-image-region: rect(32px, 32px, 48px, 16px);
}
.resume {
  -moz-image-region: rect(16px, 48px, 32px, 32px);
}
.retry {
  -moz-image-region: rect(0px, 48px, 16px, 32px);
}

#information-uri {
  -moz-image-region: rect(16px, 16px, 32px, 0px);
}
#information-location {
  -moz-image-region: rect(32px, 16px, 48px, 0px);
}

.blockedIcon {
  list-style-image: url(chrome://global/skin/icons/Error.png);
}

/* prevent flickering when changing states */
.downloadTypeIcon {
  min-height: 32px;
  min-width: 32px;
}

.title-line {
  height: 1px;
  background-color: ThreeDDarkShadow;
  -moz-margin-end: 15px;
  -moz-margin-start: 5px;
}

#searchbox[empty] {
  color: GrayText;
}
